
AAC - Bug #317

hardware button input thro' Gpio  

03/20/2010 12:08 PM - Albina Nirupa Julius

Status: Closed Start date: 03/20/2010

Priority: High Due date:  

Assignee: Albina Nirupa Julius % Done: 10%

Category:  Estimated time: 0:00 hour

Target version: Hope 1.0 Spent time: 0:00 hour

Description

Hardware button input thro' Gpio  instead of Mouse click/Keyboard button input.Need to monitor

GPIO Pin no 3 of the beagle board to check if the hardware button is pressed.

Source code must be converted to python module using swig and then bind the button press event

to perform the need action.

History

#1 - 03/20/2010 12:12 PM - Albina Nirupa Julius

Installed swig in the kavi Kit.

Trying out how simple functions can be converted to shared object files in linux using

swig.

Able to generate .so files but importing them in python is throwing errors.

#2 - 04/26/2010 11:20 AM - Albina Nirupa Julius

- Status changed from Assigned to Closed
